


local Lander = require("lander")

love.window.setTitle("Lander Physics Prototype v1")
screenWidth, screenHeight = love.graphics.getDimensions()



function clamp(val, min, max)
    if not val then return end
    return math.min(math.max(val, min), max)
end



function boundingBox(a, b)
	if a.x > b.x + b.width
    or a.y > b.y + b.height
    or b.x > a.x + a.width - 1
    or b.y > a.y + a.height - 1 then
		return false
	else
		return true
	end
end



function round(num, idp)
	local mult = 10^(idp or 0)
    if num >= 0 then
		return math.floor(num * mult + 0.5) / mult
    else
		return math.ceil(num * mult - 0.5) / mult
	end
end



function love.load()
    Lander:init()
end


function love.update(dt)
    if not Lander.removed then Lander:update(dt) end
end


function love.draw()
    if not Lander.removed then Lander:draw() end

    love.graphics.line(0, screenHeight-128, screenWidth, screenHeight-128)
    love.graphics.print("Press R to Reset Scene", 10, 50)
end


function love.keypressed(key)
    if key == "r" then love.load() end
    if key == "escape" then love.event.quit() end
end
